Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ACE_Reactor_Timer_Interface Class Reference

Interface for timer related methods on the Reactor. More...

`#include <Reactor_Timer_Interface.h>`

Inheritance diagram for ACE_Reactor_Timer_Interface:

[legend]
List of all members.

## Public Member Functions
virtual | ~ACE_Reactor_Timer_Interface (void)
virtual long | schedule_timer (ACE_Event_Handler *event_handler, const void *arg, const ACE_Time_Value &delay, const ACE_Time_Value &interval=ACE_Time_Value::zero)=0
virtual int | reset_timer_interval (long timer_id, const ACE_Time_Value &interval)=0
virtual int | cancel_timer (long timer_id, const void **arg=0, int dont_call_handle_close=1)=0
virtual int | cancel_timer (ACE_Event_Handler *event_handler, int dont_call_handle_close=1)=0

## Detailed Description

Interface for timer related methods on the Reactor.

## Constructor & Destructor Documentation

ACE_BEGIN_VERSIONED_NAMESPACE_DECL ACE_Reactor_Timer_Interface::~ACE_Reactor_Timer_Interface | ( | void |  | ) | `[virtual]`

## Member Function Documentation

virtual int ACE_Reactor_Timer_Interface::cancel_timer | ( | ACE_Event_Handler * | event_handler,
|  | int | dont_call_handle_close = `1`
| ) | `[pure virtual]`

| Implemented in ACE_Reactor.

virtual int ACE_Reactor_Timer_Interface::cancel_timer | ( | long | timer_id,
|  | const void ** | arg = `0`,
|  | int | dont_call_handle_close = `1`
| ) | `[pure virtual]`

| Implemented in ACE_Reactor.

virtual int ACE_Reactor_Timer_Interface::reset_timer_interval | ( | long | timer_id,
|  | const ACE_Time_Value & | interval
| ) | `[pure virtual]`

| Implemented in ACE_Reactor.

virtual long ACE_Reactor_Timer_Interface::schedule_timer | ( | ACE_Event_Handler * | event_handler,
|  | const void * | arg,
|  | const ACE_Time_Value & | delay,
|  | const ACE_Time_Value & | interval = `ACE_Time_Value::zero`
| ) | `[pure virtual]`

| Implemented in ACE_Reactor.

The documentation for this class was generated from the following files:

- Reactor_Timer_Interface.h
- Reactor_Timer_Interface.cpp